Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::MenuItemConfig Class Reference

Inherits Object.

## Public Member Functions
| MenuItemConfig ()
| Constructor.
| MenuItemConfig (const wchar_t *name, const wchar_t *user, const wchar_t *parent, int pos, const char *pos_str, const wchar_t *exec, const wchar_t *enable, const wchar_t *marked)
| Constructor, with parameters. More...
| MenuItemConfig (const MenuItemConfig &menu_item_config)
| Constructor, with another menu item config object. More...
void | Set (const wchar_t *name, const wchar_t *user, const wchar_t *parent, int pos, const char *pos_str, const wchar_t *exec, const wchar_t *enable, const wchar_t *marked)
| Set values. More...

## Public Attributes
WString | enable
| (Only used by An expression string that is evaluated to determine whether to enable the menu item.
WString | exec
| (Only used by An expression string to evaluate when the menu item is selected by the user.
WString | marked
| (Only used by An expression string that determines whether the menu item has a check mark next to it. The expression should set event.rc to false to uncheck the menu item and true to check it. The default is that the menu item is not marked.
WString | name
| The language-independent name of the menu item.
WString | parent
| The name of the parent menu item. Its submenu will have the new menu item added to it.
int | pos
| The position within the submenu to locate the new menu item.
String | pos_str
| (Only used by The string is a named item in the menu (a language-independent name of a menu item).
WString | user
| The user string (language-dependent name) to display as the menu item name.

## Detailed Description

This class represents menu item config.

## Constructor & Destructor Documentation

## ◆ MenuItemConfig() [1/2]

foxit::MenuItemConfig::MenuItemConfig | ( | const wchar_t * | name,
|  | const wchar_t * | user,
|  | const wchar_t * | parent,
|  | int | pos,
|  | const char * | pos_str,
|  | const wchar_t * | exec,
|  | const wchar_t * | enable,
|  | const wchar_t * | marked
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

## ◆ MenuItemConfig() [2/2]

foxit::MenuItemConfig::MenuItemConfig | ( | const MenuItemConfig & | menu_item_config | ) |
| inline

Constructor, with another menu item config object.

Parameters

  [in] | menu_item_config | Another menu item config object.

## Member Function Documentation

## ◆ Set()

void foxit::MenuItemConfig::Set | ( | const wchar_t * | name,
|  | const wchar_t * | user,
|  | const wchar_t * | parent,
|  | int | pos,
|  | const char * | pos_str,
|  | const wchar_t * | exec,
|  | const wchar_t * | enable,
|  | const wchar_t * | marked
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

Returns
  None.